Add Rmq Configuration

Add Rmq Configuration
Configure RMQ

Add new RabbitMQ (RMQ) configuration for VCD deployments. Tests RMQ connectivity with and without trust-all certificates. If connection succeeds only with trust-all, returns a warning to import RMQ certificate manually. This is a single-item configuration (only one RMQ can be configured).

Request
URI
POST
https://{server}:9443/api/admin/global/config/rmq
COPY
Request Body
RmqPostRequestBody of type(s) application/json
Required
{
    "data": {
        "items": [
            {
                "config": {
                    "vhost": "/vcd_tenant",
                    "hosts": [
                        {
                            "host": "rmq.vcd.example.com",
                            "port": "5672",
                            "userName": "admin",
                            "password": "Uk1RUGFzc3dvcmQxMjMh"
                        }
                    ]
                }
            }
        ]
    }
}
object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

RMQ configuration created successfully

Returns RmqGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "config": {
                    "vhost": "string",
                    "UUID": "string",
                    "hosts": [
                        {
                            "host": "string",
                            "port": "string"
                        }
                    ]
                },
                "section": "string"
            }
        ]
    }
}
object
data
Required

data


400

Bad request - validation failed or connection test failed

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error - configuration save failed

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Unable to save RMQ configuration",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/rmq